/********************************************************************************
*                                                                               *
*                            H e l p   W i n d o w                              *
*                                                                               *
*********************************************************************************
* Copyright (C) 1998,2000 by Jeroen van der Zijp.   All Rights Reserved.        *
*********************************************************************************
* $Id: HelpWindow.cpp,v 1.3 2000/07/14 16:01:38 jeroen Exp $                    *
********************************************************************************/
#include "fx.h"
#include "HelpWindow.h"
#include "icons.h"
#include "help.h"
#include <stdio.h>
#include <stdlib.h>


/*******************************************************************************/

  
FXIMPLEMENT(HelpWindow,FXDialogBox,NULL,0)


// Construct
HelpWindow::HelpWindow(FXWindow *owner):
  FXDialogBox(owner,"Help on TextEdit",DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE,0,0,500,600){
  FXVerticalFrame *vertical=new FXVerticalFrame(this,LAYOUT_SIDE_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y);
  
  // Editor part
  FXHorizontalFrame *editbox=new FXHorizontalFrame(vertical,LAYOUT_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y|FRAME_SUNKEN|FRAME_THICK,0,0,0,0, 0,0,0,0);
  FXText* helptext=new FXText(editbox,NULL,0,TEXT_READONLY|TEXT_WORDWRAP|LAYOUT_FILL_X|LAYOUT_FILL_Y);
  
  // Bottom part
  FXHorizontalFrame *closebox=new FXHorizontalFrame(vertical,LAYOUT_BOTTOM|LAYOUT_FILL_X|PACK_UNIFORM_WIDTH);
  new FXButton(closebox,"&Close",NULL,this,FXDialogBox::ID_ACCEPT,LAYOUT_RIGHT|FRAME_RAISED|FRAME_THICK,0,0,0,0, 20,20,5,5);

  helptext->setText(help,strlen(help));
  helptext->setTabColumns(35);
  }


// Clean up
HelpWindow::~HelpWindow(){
  }
